/* sottografo.c */

/* Direttive */
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "grafo-ma.h"


#define ROW_LENGTH 256


/* Prototipi delle procedure secondarie e definizione di tipi */

typedef int *vint;

/* Legge da linea di comando il nome del file che contiene il grafo
   e gli indici dei nodi del sottografo */
void InterpretaLineaComando (int argc, char *argv[], char *filedati, vint *pS, int *pns);

/* Carica il grafo G dal file filedati */
void CaricaGrafo (char *filedati, grafo *pG);

/* Stampa a video il sottografo indotto sul grafo G dal sottoinsieme S di ns nodi */
void StampaSottografoIndotto (grafo *pG, vint S, int ns);


/* Programma principale */
int main (int argc, char *argv[])
{
  char filedati[ROW_LENGTH];
  vint S;
  int ns;
  grafo G;


  /* Legge da linea di comando il nome del file che contiene il grafo
     e gli indici dei nodi del sottografo */
  InterpretaLineaComando(argc,argv,filedati,&S,&ns);

  /* Carica il grafo da file */
  CaricaGrafo(filedati,&G);

  /* Stampa a video il grafo */
  stampagrafo(&G);

  /* Stampa a video il sottografo indotto */
  StampaSottografoIndotto(&G,S,ns);

  return EXIT_SUCCESS;
}


/* Definizione delle procedure secondarie */

/* Legge da linea di comando il nome del file che contiene il grafo
   e gli indici dei nodi del sottografo */
void InterpretaLineaComando (int argc, char *argv[], char *filedati, vint *pS, int *pns)
{
}


/* Carica il grafo G dal file filedati */
void CaricaGrafo (char *filedati, grafo *pG)
{
}


/* Stampa a video il sottografo indotto sul grafo G dal sottoinsieme S di ns nodi */
void StampaSottografoIndotto (grafo *pG, vint S, int ns)
{
}
